2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* exchange-delegates.glade:
	* e-foreign-folder-dialog.glade:
	* exchange-folder-subscription.c:
	* exchange-delegates-user.c:
	Remove deprecated Gtk+ symbols.

2009-02-26  Andre Klapper  <a9016009@gmx.de>

	* exchange-permissions-dialog.c:
	remove deprecated and commented code.

2008-12-08  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #558498

	* exchange-account-setup.c: (org_gnome_exchange_settings),
	(destroy_oof_data), (org_gnome_exchange_commit):
	* org-gnome-exchange-operations.error.xml:Check for the offline status
	before setting up the Exchange settings.

2008-12-02  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #562228

	* exchange-account-setup.c: (want_mailbox_toggled),
	(org_gnome_exchange_owa_url):
	Make it clearer the mailbox entry is optional.

2008-10-22  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #557246

	* exchange-folder.c: (org_gnome_exchange_check_inbox_subscribed): Pop 
	up the "Unsubscribe Folder" option only for the subscribed folders and 
	not to the Other's folder hierarchy.

2008-10-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #530606

	* exchange-contacts.c: (e_exchange_contacts_get_contacts),
	(e_exchange_contacts_pcontacts_on_change),
	(e_exchange_contacts_pcontacts), (e_exchange_contacts_check),
	(e_exchange_contacts_commit):
	* exchange-account-setup.c: (btn_chpass_clicked), (btn_dass_clicked),
	(btn_fsize_clicked), (org_gnome_exchange_show_folder_size_factory):
	* exchange-calendar.c: (e_exchange_calendar_get_calendars),
	(e_exchange_calendar_pcalendar_on_change),
	(e_exchange_calendar_pcalendar), (e_exchange_calendar_check),
	(e_exchange_calendar_commit):
	Check validity of returned pointer before using it.

2008-10-03  Sankar P  <psankar@novell.com>

License Changes

	* exchange-account-setup.c:
	* exchange-contacts.c:
	* exchange-operations.c:
	* exchange-operations.h:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* exchange-delegates-user.c:

2008-09-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #553273

	* exchange-config-listener.c: (exchange_config_listener_authenticate):
	Always end e_error_run/e_error_new calls with NULL parameter.

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* exchange-user-dialog.c:

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* exchange-calendar.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* exchange-config-listener.c:
	* exchange-delegates.c:
	* exchange-folder-size-display.c:
	* exchange-folder.c:
	* exchange-mail-send-options.c:
	* exchange-permissions-dialog.c:
	* exchange-permissions-dialog.h:
	* exchange-send-options.c:
	* exchange-user-dialog.h:

2008-08-28  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #458512

	* exchange-send-options.glade:
	Delete the accessibility tag from the User button.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* exchange-change-password.c:
	* exchange-change-password.h:
	* exchange-config-listener.h:
	* exchange-delegates-user.h:
	* exchange-delegates.h:
	* exchange-folder-permission.c:
	* exchange-folder-size-display.h:
	* exchange-folder-subscription.c:
	* exchange-folder-subscription.h:
	* exchange-send-options.h:

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-send-options.c:
	Use e_display_help() for displaying help.

2008-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #435969

	* org-gnome-exchange-operations.eplug.xml:
	Show authentication section in an account druid too.

2008-07-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #545568

	* org-gnome-exchange-operations.eplug.xml:
	Add "system_plugin=true" so it's not shown in the Plugin Manager.
	This plugin is not designed to be disabled by the user.

2008-07-30  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #500389

	* exchange-account-setup.c: (gal_auth_to_string),
	(owa_authenticate_user): Use default authentication for GAL.

2008-07-11  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #542149

	* exchange-folder-subscription.c: (subscribe_to_folder): Display an 
	error message to restart if user tries to subscribe to other's mailbox.
	* org-gnome-exchange-operations.error.xml: Added the corresponding 
	error message.

2008-06-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #273627

	* exchange-account-setup.c: (owa_authenticate_user),
	(update_mailbox_param_in_url), (mailbox_editor_entry_changed),
	(org_gnome_exchange_owa_url): New entry to enter mailbox name in case
	it differs from the username. The entry is updated after a validation
	and shows the mailbox name as was used for validation.

2008-06-05  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-permissions-dialog.c:
	Here too.

2008-06-04  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-delegates-user.c:
	Don't undef DISABLE_DEPRECATED macros in source code.
	That's just evil.

2008-06-02  Jacob Brown  <jeblinux@gmail.com>

	** Fix for bug #529464

	* org-gnome-exchange-operations.eplug.xml: Do not use "handle"

2008-05-27  Bharath Acharya  <abharath@novell.com>

	* Fixes bnc #394441

	* exchange-contacts.c: (e_exchange_contacts_commit): Fixes a double
	free

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* exchange-account-setup.c:
	* exchange-send-options.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-04-21  Bharath Acharya  <abharath@novell.com>

	Fixes bnc #378203

	* exchange-folder-permission.c: 
	(org_gnome_exchange_folder_permissions): Return sanely if the path 
	value is corrupted.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Add EVOLUTION_MAIL_CFLAGS and EVOLUTION_MAIL_LIBS.

	* exchange-mail-send-options.c (append_to_header),
	(org_gnome_exchange_send_options):
	Adapt to streamlined EMsgComposer API.

2008-04-02  Ross Burton  <ross@openedhand.com>

	** Fix for bug #522764

	* exchange-account-setup.c:
	* exchange-folder-subscription.c:
	* exchange-folder-permission.c: Remove unused include.

2008-03-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #511952

	* exchange-folder-subscription.c: (setup_name_selector):
	* exchange-send-options.c: (exchange_sendoptions_dialog_run):
	Marking text for translation.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	* Fix for bug #339266 

	* exchange-account-setup.c:
	(org_gnome_exchange_show_folder_size_factory): Upstreamed OpenSUSE
	patch.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #294999

	* exchange-folder-subscription.c: (subscribe_to_folder): Upstreamed
	OpenSUSE patch.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from OpenSUSE.

	* exchange-delegates-user.c: Warnings.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	* exchange-folder-subscription.c: (subscribe_to_folder),
	(create_folder_subscription_dialog): Pushing  a downstream patch from
	OpenSUSE.

2008-02-02  Jeff Cai <jeff.cai@sun.com>

	** Fixes bug #513395

	* exchange-account-setup.c: (owa_authenticate_user),
	(owa_editor_entry_changed), (org_gnome_exchange_owa_url),
	(org_gnome_exchange_check_options), (org_gnome_exchange_commit):
	Check parameters before calling camel_url_new

2008-01-28  Srinivasa Ragavan  <sragavan@novell.com>

	* exchange-calendar.c: (e_exchange_calendar_commit): Fixes a double
	free.

2007-12-31  Sushma Rai  <rsushma@novell.com>

	** Fixes bug #327965

	* exchange-calendar.c (e_exchange_calendar_commit): 
	* exchange-contacts.c (e_exchange_contacts_commit): Setting the 
	e-source property username with domain if the domain is specified.

2007-12-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #362638

	* exchange_folder.c:
	Use the new MailMsg API for messages.

2007-12-13  Tobias Mueller  <tobiasmue@svn.gnome.org>
	Patch by evilninjasquirrel@hotbrev.com
	
	** Fixes bug 474043
	* plugins/exchange-operations/exchange-operations.c:
	* plugins/exchange-operations/exchange-operations.h
	Prevent buffer overflows, by introducing a fourth parameter to
	exchange_operations_tokenize_string - a max size to copy

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #466241

	* exchange-account-setup.c: (org_gnome_exchange_auth_section):
	Added a mnemonic to the Authentication Type label/dropdown

2007-11-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #495123

	* exchange-mail-send-options.c (append_to_header):
	Use e_msg_composer_hdrs_get_from_account() to obtain the EAccount.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #479081

	* exchange-account-setup.c: (org_gnome_exchange_owa_url):
	Check for input validity immediately after creating setup widgets.

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-folder.c (ex_create_folder_info):
	Call camel_folder_info_new() instead of g_new0().

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* exchange-account-setup.c: (org_gnome_exchange_settings),
	(print_error), (set_oof_info), (destroy_oof_data):
	* exchange-delegates-user.c: (exchange_delegates_user_edit):
	* exchange-mail-send-options.c: (append_to_header):
	Warning fixes:
	- mark some code static
	- use non-deprecated GSignal apis
	- rename shadowing variable

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* exchange-user-dialog.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* exchange-folder-size-display.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* exchange-folder-permission.c:
	* exchange-folder.c:
	Use standard icon names where applicable.

2007-09-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #301044  (Novell Bugzilla)

	* exchange-user-dialog.c: (e2k_user_dialog_get_user_list): Dont append
	the comma from the Nameselector.

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* exchange-delegates.c: (email_look_up):
	* exchange-mail-send-options.c: (append_to_header):
	* exchange-delegates-user.c: (exchange_delegates_user_edit):
	Fixes serious compiler warnings.

2007-08-24  Srinivasa Ragavan  <sragavan@novell.com>

	* org-gnome-exchange-cal-subscription.xml: Fix for empty menu in the
	UI.

2007-08-20  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am: Fix a distcheck error.

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #466548

	* exchange-mail-send-options.c: (org_gnome_exchange_send_options):
	e_msg_composer_get_preferred_account can return NULL, so test for it.

2007-08-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #327977

	* exchange-account-setup.c: (owa_authenticate_user):
	Pass parent window to call of e2k_validate_user.

2007-07-31  Veerapuram Varadhan  <vvaradhan@novell.com>

	* exchange-delegates-user.c: (exchange_delegates_user_edit):
	Generate HTML content for permission-summary mail, instead of
	ascii-text content.  This is required to align strings in a table.

	Committing on behalf of Bharath Acharya <abharath@novell.com>
	
2007-07-30  Andre Klapper  <a9016009@gmx.de>

	* exchange-permissions-dialog.glade:
	remove "window1" string from translation

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* exchange-delegates-user.c: (map_to_full_role_name),
	(exchange_delegates_user_edit): Added the translation comments
	
	Committing on behalf of Bharath Acharya <abharath@novell.com>	

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #458511

	* exchange-delegates-user.c: (exchange_delegates_user_edit): each
	message is enclosed with double quotes line by line.

2007-07-12  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-delegates-user.c:
	Fix a bunch of new implicit function declarations.

2007-07-09  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by: Veerapuram Varadhan <vvaradhan@novell.com>

	* exchange-delegates-user.c: (map_to_full_role_name),
	(em_utils_delegates_done), (exchange_delegates_user_edit):
	* exchange-delegates-user.h:
	* exchange-delegates.c: (add_button_clicked_cb),
	(edit_button_clicked_cb), (email_look_up), (table_click_cb):
	* exchange-delegates.glade:
	* exchange-delegates.h:
	* exchange-mail-send-options.c: (append_to_header):
	* exchange-send-options.c:
	(exchange_send_options_get_widgets_data), (get_widgets),
	(exchange_send_options_fill_widgets_with_data),
	(exchange_send_options_cb), (delegate_option_toggled),
	(addressbook_dialog_response), (addressbook_entry_changed),
	(address_button_clicked), (exchange_sendoptions_dialog_run),
	(exchange_sendoptions_dialog_init):
	* exchange-send-options.glade:
	* exchange-send-options.h:
	* org-gnome-exchange-operations.error.xml: Added the exchange
	delegation support.								     

	Committing on behalf of Bharath Acharya <abharath@novell.com>	
							  
2007-07-03  Srinivasa Ragavan  <sragavan@novell.com>

	* exchange-account-setup.c: (owa_authenticate_user): Form the password
	url same as what is used every where else, so that the query can be
	avoided.

2007-06-07  Gilles Dartiguelongue  <dartigug@esiee.fr>

	* exchange-mail-send-options.c: (org_gnome_exchange_send_options):
	more compilation warnings cleanup, completes bug #437584 fixes

2007-06-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325882

	* exchange-folder-tree.glade:
	* exchange-oof.glade:
	* e-foreign-folder-dialog.glade:
	* exchange-passwd-expiry.glade:
	Changed GTK_WIN_POS_NONE to GTK_WIN_POS_CENTER_ON_PARENT.

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #386503 from Matthew Barnes
	
	* exchange-send-options.c: (exchange_send_options_cb):

2007-05-25  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-config-listener.c (exchange_add_autocompletion_folders):
	Don't assume the absolute URI is non-NULL (#427232).

2007-05-11  Gilles Dartiguelongue  <dartigug@esiee.fr>

	* exchange-folder.c: (org_gnome_exchange_folder_inbox_unsubscribe):
	Fixes unhandled cases in switch, fixes part of bug #437584.

2007-05-25  Veerapuram Varadhan  <vvaradhan@novell.com>

	* Makefile.am: Distcheck fixes.
	
2007-04-10  Elizabeth Greene <nerdygirl_ellie@yahoo.com>

	** Fixes #426481
	* exchange-account-setup.c: Fix Typo Assitant

2007-04-05  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-config-listener.c (class_init):
	* exchange-delegates-user.c (class_init):
	Use GLib marshallers wherever possible.

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* exchange-account-setup.c:
	* exchange-calendar.c:
	* exchange-config-listener.c:
	* exchange-contacts.c:
	Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-01-27  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* exchange-account-setup.c:
	(org_gnome_exchange_show_folder_size_factory):
	* exchange-contacts.c: (e_exchange_contacts_pcontacts):
	mark strings as translatable. See bug #399381 for details.

2006-01-18  Raghavendran R <raghavguru7@gmail.com>

	* exchange-send-options.glade :Glade file for 
	  exchange send options .
	* org-gnome-exchange-operations.eplug.xml :Added a
	  hook for implementing send options .
	* exchange-mail-send-options.c :Contains code for invoking
	  the dialog and processing the data received and destroying
	  the dialog .
	* exchange-send-options.[c,h] :Contains the GType for exchange
	  send options dialog . 

2006-12-18  Veerapuram Varadhan <vvaradhan@novell.com>

	Fixes bnc #208395

	* exchange-folder-permission.c:
	(org_gnome_exchange_folder_permissions): Decode the derived path
	using camel_url_decode_path(), as path may contain encoded
	characters.
	
2006-12-04  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #357970

	* exchange-config-listener.c: Don't call deprecated GLib / GDK
	functions.

2006-10-23  Priit Laes  <amd@store20.com>

	* org-gnome-default-source.eplug.xml: Fixed typo in plugin 
	description. Fixes bug 363999.

2006-08-07  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-operations.error.xml: Corrected a spelling 
	mistake in the error message. Fixes #350231.

2006-07-24  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-subscription.c (subscribe_to_folder): Handling the 
	errors EXCHANGE_ACCOUNT_FOLDER_GC_NOTREACHABLE and 
	EXCHANGE_ACCOUNT_FOLDER_NO_SUCH_USER.

	* org-gnome-exchange-operations.error.xml: Added an error code 
	folder-no-gc-error and corresponding error string. Fixes #234359. 

2006-07-22  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-subscription.c (subscribe_to_folder): Checking if a 
	user is subscribing to his own folder. Fixes #311322.
	Patch submitted by "Vandana Shenoy .B  <shvandana@novell.com>"

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* exchange-change-password.glade:
	remove "*" from translation. Fixes bug #331147.

2006-07-13  Andre Klapper  <a9016009@gmx.de>

	* exchange-permissions-dialog.glade: remove empty strings from 
	translation

2006-07-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #341369
	* exchange-calendar.c:
	* exchange-contacts.c: fixing a memory leak.

2006-06-15  Sushma Rai  <rsushma@novell.com>

	* Makefile.am: Added exchange-oof.glade to the list of glade files.

	* exchange-config-listener.c (exchange_config_listener_authenticate):
	On successful connection, checking if the OOF state is set in the 
	server, and if it is set, asking the user if he wants to change it
	to in-office during login. Fixes #344650.

2006-06-13  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-operations.error.xml: defined a new error code and
	error string, for displaying in offline state.
	
	* exchange-folder.c (org_gnome_exchange_folder_ab_unsubscribe): Display
	proper error in offline mode.
	(org_gnome_exchange_folder_unsubscribe): Similar.
	(org_gnome_exchange_folder_subscription): Similar. 
	Fixes #344270.

2006-06-07  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-subscription.c (create_folder_subscription_dialog): 
	Disabling the OK button and added a callback to change the sensitivity.
	(user_name_entry_changed_callback): Call-back to enable OK button, on
	entering username. Fixes #317025.

2006-05-11  Sankar P  <psankar@novell.com>

	* exchange-account-setup.c: (btn_chpass_clicked):
	Do not print the password in the terminal.
	
2006-05-10  Sushma Rai  <rsushma@novell.com>
	
	* exchange-config-listener.c (account_changed): Using the HIGified
	notification message. 

	* org-gnome-exchange-operations.error.xml: Similar,
	Fixes #302825.

2006-05-10  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (owa_authenticate_user): Display error
	message only in case of authentication failure and not on cancelling
	authentication operation. Fixes #332131

2006-04-19  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_commit): Setting the
	e-source properties on both successful creation and rename of a folder.
	
	* exchange-calendar.c (e_exchange_calendar_commit): Similar.
	Fixes #338876 and #328578.

2006-04-19  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (owa_authenticate_user): Changed the 
	function signature. Fixes #329371.

2006-04-17  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_check): Return TRUE in case
	of non-exchange accounts.

	* exchange-calendar.c (e_exchange_calendar_check): Similar. 
	Fixes #338198.

2006-04-10  Sushma Rai  <rsushma@novell.com>

	* exchange-operations.[ch] (is_exchange_personal_folder): Added new to
	check if a folder is a personal folder or not.

	* exchange-contacts.c (e_exchange_contacts_pcontacts): Printing the
	folder size only for the personal folders, in properties window.
	(e_exchange_contacts_check): Returning FALSE in case of rename of
	non-personal folders.
	(e_exchange_contacts_commit): Renaming only the personal folders.

	* exchange-calendar.c (e_exchange_calendar_pcalendar)
	(e_exchange_calendar_check)(e_exchange_calendar_commit): Similar.
	Fixes #328813 and #315522.

2006-04-06  Sushma Rai  <rsushma@novell.com>

	* exchange-operations.c (exchange_operations_update_child_esources):
	Checking for ruri NULL.

	* exchange-folder.c (org_gnome_exchange_check_address_book_subscribed):
	Freeing uri.

	* exchange-contacts.c (e_exchange_contacts_get_contacts): Defined as 
	static. 
	(e_exchange_contacts_pcontacts): Setting contacts_src_exists for GAL 
	folder. 
	(e_exchange_contacts_check): Checking for new folder creation and also 
	not allowing rename of GAL and Contacts folders.
	(e_exchange_contacts_commit): Corrected the way relative URI was being
	constructed during rename operation. Handling the return value of the
	rename operation.

	* exchange-calendar.c (e_exchange_calendar_get_calendars): Defined as a
	static function.
	(e_exchange_calendar_check): Not allowing the rename of standard 
	calendar and tasks folders.
	(e_exchange_calendar_commit): Corrected the way relative URI was being
	formed during rename operation. Also, handling the return value of the
	rename folder operation.
	Fixes #310433.

2006-03-06  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c 
	(exchange_config_listener_get_offline_status): Freeing GConfValue.
	See #329251.

2006-03-06  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c (account_removed): Not unrefing the 
	account passed to the signal handler. Fixes #332129.

2006-02-27  Sushma Rai  <rsushma@novell.com>

	* exchange-calendar.c (e_exchange_calendar_pcalendar): fixed a typo.

2006-02-27  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_pcontacts): Check for NULL
	account.

	* exchange-calendar.c (e_exchange_calendar_pcalendar): Similar.
	Fixes #332185.

2006-02-27  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-permission.c 
	(org_gnome_exchange_calendar_permissions): Trying to get the exchange
	account only if one tries to see the folder permissions for the 
	exchange account. Also, not showing the folder permissions dialog if 
	the account is in offline mode.
	(org_gnome_exchange_addressbook_permissions): Similar.
	(org_gnome_exchange_folder_permissions): similar.
	(org_gnome_exchange_menu_folder_permissions): Similar.
	(org_gnome_exchange_menu_cal_permissions): Similar.
	(org_gnome_exchange_menu_tasks_permissions): Similar.
	(org_gnome_exchange_menu_ab_permissions): Similar.
	See #332514.

2006-02-27  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c (add_defaults_for_account): Not trying to
	set autocompletion folders here, which is done somewhere else.
	(account_added): Invoking add_defaults_for_account() always on 
	"connected" signal, not only if the account is marked as default 
	folder, as we need to set them even if the account is not an default
	account.
	(set_special_mail_folder): Fomring the URIs for sent items and drafts 
	folders, by removing the ";" from the physical URIs.
	Fixes #324693, #324694.

2006-02-25  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_get_contacts): Freeing 
	folder array.

	* exchange-calendar.c (e_exchange_calendar_get_calendars): Similar.
	See #329251.

2006-02-18  Irene Huang <Irene.Huang@sun.com>

	Fixes bug #331635

	* exchange-account-setup.c: (org_gnome_exchange_settings):
	Add NULL as the last parameter in g_object_new to mark the
	the end of parameter list.

2006-02-10  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_pcontacts): Checking if the
	folder selected is GAL folder and in case of GAL folder, returning
	after checking for offline status.
	(e_exchange_contacts_check): Handling GAL folder also.
	Fixes #329623 #328571 and #329624

2006-02-10  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_commit): Freeing uri_text.
	See #329251.

2006-02-06  Sushma Rai  <rsushma@novell.com>

	* exchange-permissions-dialog.c (exchange_permissions_dialog_new): 
	Initializing nresults to zero and freeing E2kResult.

	* exchange-calendar.c (e_exchange_calendar_commit): Freeing authtype.

	* exchange-contacts.c (e_exchange_contacts_commit): Similar.
	See #329251.

2006-02-05  Karsten Bräckelmann  <guenther@rudersport.de>

	* exchange-user-dialog.c (e2k_user_dialog_construct): 
	Correcting "Addressbook" to properly read "Address Book".
	Fixes bug #326256.

2006-02-03  Sushma Rai  <rsushma@novell.com>

	* exchange-permissions-dialog.c (exchange_permissions_dialog_new): 
	Freeing E2kResult.

	* exchange-calendar.c (e_exchange_calendar_commit): Freeing authtype.

	* exchange-contacts.c (e_exchange_contacts_commit): similar. 
	See #329251.

2006-02-03  Sushma Rai  <rsushma@novell.com>

	* exchange-folder.c (org_gnome_exchange_folder_subscription): Moved
	discovering the shared folder, opening that folder and error handling
	out to create_folder_subscription_dialog().
	
	* exchange-folder-subscription.c (create_folder_subscription_dialog):
	Pass all the data to subscirbe_to_folder() callback. 
	(subscribe_to_folder): On pressing OK, extracting the dtails like user's
	email id, folder name, finding the shared folder and opening that 
	folder. 
	(destroy_subscription_info): Cleanup function.
	Fixes #328554.

2006-01-27  Sushma Rai  <rsushma@novell.com>

	* exchange-calendar.c (e_exchange_calendar_commit): Freeing uri_text 
	in case of OFFLINE mode.
	Instead of terminating memory allocated string tmpruri and using it,
	forming the URI string from the EUri and appending the path.

	* exchange-contacts.c (e_exchange_contacts_commit): Similar.
	Fixes #328304.

2006-01-24  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c (exchange_config_listener_authenticate):
	Not using e_error_run(), to avoid modal error dialogs. Fixes #328385.

	* exchange-operations.c (exchange_operations_report_error): Similar.
	Also displaying the current quota usage instead of the quota limit.

2006-01-23  Sushma Rai  <rsushma@novell.com>

	* exchange-operations.c 
	(exchange_operations_cta_select_node_from_tree): Checking for the NULL
	URI, Fixes #328282.

2006-01-23  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (camel_exchange_ntlm): Setting the authproto
	value to NTLM, which is used later. 
	(org_gnome_exchange_auth_section): Reading the auth type from 
	ExchangeAccount and setting it in URL if the url doesn't contain the
	auth mechanism value. Since the auth mechanism is not set using the 
	authentication type tab in druid during account setup, when the editor
	is invoked, it doesn't get set in the account URI. Fixes #327284.

2006-01-19  Andre Klapper <a9016009@gmx.de>

	* org-gnome-exchange-operations.error.xml:
	changed "mails" to "mail" or "messages", removed duplicated
	whitespaces. Fixes bug 325569.

2006-01-18  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_pcontacts): Displaying the
	offline message for both Exchange personal and GAL folders. 
	Fixes #327483.

2006-01-16  Harish Krishnaswamy  <kharish@novell.com>

	* org-gnome-exchange-operations.error.xml:
	Fixed a minor typo in error string. (#327053).

2006-01-16  Harish Krishnaswamy  <kharish@novell.com>

	* exchange-config-listener.c: (display_passwd_expiry_message):
	Fix a grammar error in translatable string. (#327155)

2006-01-13  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c (exchange_config_listener_authenticate):
	Set the "save-passwd" parameter value EAccount. Fixes #326842.

2006-01-13  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c: Added krb5 checks while invoking
	change_passwd_cb() and exchange_config_listener_authenticate().

2006-01-11  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #271546
	* exchange-folder.c: (org_gnome_exchange_calendar_subscription),
	(org_gnome_exchange_addressbook_subscription),
	(org_gnome_exchange_tasks_subscription),
	(org_gnome_exchange_inbox_subscription): Mark the string for completion.

2006-01-12  Sushma Rai  <rsushma@novell.com>

	* exchange-config-listener.c (exchange_config_listener_authenticate): 
	Checking for the password expired error code during connect and if the
	password is expired, showing the error message, prompting for resetting
	the password and trying to connect again with the new password.
	Checking  if the password will expire in next a few days, which is 
	specified by the user during account creation, and if yes, showing
	the corresponding error message to the user, which allows him to change
	his password. 
	Fixes #326060.
	Also, Checking for the quota related error codes and displaying the
	corresponding error/warning messages to the user. Fixes #326087.

	* org-gnome-exchange-operations.error.xml: Added a space.

	* exchange-passwd-expiry.glade: Added new.

	* Makefile.am: Added exchange-passwd-expiry.glade.

2006-01-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #316100
	
	* org-gnome-exchange-ab-subscription.xml:
	* org-gnome-exchange-tasks-subscription.xml:
	* org-gnome-folder-permissions.xml:
	* org-gnome-folder-subscription.xml:
	Removed empty menu entry which was pointing to Tools menu.

2006-01-09  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-subscription.c (create_folder_subscription_dialog):
	Instead of gtk_dialog_run(), calling gtk_widget_show().
	(dialog_destroy): Added callback to do the cleanup on closing the 
	window. Fixes #314748. 

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* exchange-account-setup.c:
	* exchange-calendar.c:
	* exchange-config-listener.h:
	* exchange-contacts.c:
	use libedataserver/e-account-list.h instead of e-util/e-account-list.h.
	use libedataserver/e-account.h instead of e-util/e-account.h.

2006-01-05  Sushma Rai  <rsushma@novell.com>

	* exchange-calendar.c (e_exchange_calendar_commit): Setting the
	username, authtype, auth-domain and auth properties on the esource
	created, so that corresponding folder will be authenticated and loaded
	after the folder creation. Also fixed memory leak in case of no any 
	changes condition.

	* exchange-config-listener.c (remove_selected_non_offline_esources):
	Not freeing the non allocated string offline_mode.

2006-01-02  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-permission.c (org_gnome_exchange_folder_permissions):
	Proceed only with the exchange account folders.
	
	* exchange-folder.c (org_gnome_exchange_check_inbox_subscribe): 
	Similar. Fixes #325491.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* evolution/plugins/exchange-operations/org-gnome-exchange-operations.error.xml:
 	 Fixing several typos and harmonizing
	 capital/small letters. Partially fixes bug 306117.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* evolution/plugins/exchange-operations/exchange-account-setup.c:
	  harmonized "URL", "Url" and "url". Fixes bug 325125.

2005-12-25  Funda Wang  <fundawang@linux.net.cn>

	* Makefile.am: Mark this plugin as translatable (bug#301149).

2005-12-21  Sushma Rai  <rsushma@novell.com>

	* exchange-contacts.c (e_exchange_contacts_commit): Setting the 
	username, authtype, auth-domain and auth properties on the esource
	created, so that corresponding folder will be authenticated and loaded
	after the folder creation. Fixes #324678. 
	Also fixed memory leak in case of no any changes condition.

2005-12-20  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-subscription.c (create_folder_subscription_dialog): 
	Setting the correct title. Fixes #324580.

2005-12-19  Sushma Rai  <rsushma@novell.com>

	* exchange-delegates-user.c (exchange_delegates_user_edit): Using the
	window title as "Delegates Permissions". Label "Permissions for <user>"
	was repeated twice.

	* exchange-delegates.glade: Added translator comments. Fixes #313545.

2005-12-19  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (owa_authenticate_user): Adding the 
	parameter "save-passwd" to CamelURL, during account creation, which can
	be used to see if the user has remembered password or password is
	temporarily remembered so that password is not prompted second time at
	the end of account creation.
	
	* exchange-config-listener.c (exchange_config_listener_authenticate): 
	Using the flag E_PASSWORDS_REMEMBER_FOREVER instead of 
	E_PASSWORDS_REMEMBER_SESSION. Reading the save-passwd URL parameter to
	see if the password was remembered by the user or remembered 
	temporarily by the plugin and foget it in case of remembered by the
	plugin. Also free CamelURL.
	(account_added): Calling exchange_config_listener_authenticate().
	
	Fixes #324485

2005-12-19  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (org_gnome_exchange_settings)
	(owa_editor_entry_changed)(org_gnome_exchange_owa_url)
	(org_gnome_exchange_commit): free CamelURL.
	(owa_authenticate_user): free CamelURL and exchange_params.
	Fixes #324483.

2005-12-19  Sushma Rai  <rsushma@novell.com>

	* exchange-folder-permission.c: Corrected include path of header files
	which was breaking the build.
	
	* exchange-change-password.[ch]: Similar.

	* exchange-folder-subscription.c: Similar.

2005-12-12  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (print_error): Passing the support URL to
	e_error_run(), so that hardcoded URL won't be marked for translation.
	See #272514.
	* org-gnome-exchange-operations.error.xml: Uisng the correct error code
	"connect-exchange-error". Changed the primary message to more 
	appropriate one. Also removed hard coded URL.

2005-12-12  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: Add primary CLEANFILES,
	fix BUILT_SOURCES, make-clean issues.

2005-12-07  Funda Wang  <fundawang@linux.net.cn>

	* org-gnome-exchange-operations.eplug.in: i18nlized.

2005-11-24  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (org_gnome_exchange_settings): Initialize
	OOF state and check for the OOF state and message only of the account
	is valid. Fixes the problem of printing OOF error message in case
	of authentication failure.
	(set_oof_info): Similar.
	Fixes #314583, #315331.

2005-10-03  Shakti Sen <shprasad@novell.com>

	* exchange-folder-permission.c (org_gnome_exchange_folder_permissions),
	(org_gnome_exchange_menu_folder_permission): Constructing the path
	properly to get the efolder.
	* exchange-folder.c (org_gnome_exchange_folder_inbox_unsubscribe),
	(exchange_get_folder), (org_gnome_exchange_check_inbox_subscribed),
	(unsubscribe_dialog_ab_response), (unsubscribe_dialog_response): 
	Creating proper path.
	
	The above modifications will now allow the user to do the operations
	like unsubscribed to Inbox and giving permission to a folder.
		-

2005-09-30  Shakti Sen <shprasad@novell.com>

	* exchange-folder-subscription.c (setup_folder_name_combo): Sets the
	corresponding 'Folder name'.
	(create_folder_subscription_dialog): Sets the cursor to User's entry
	text field.
	* exchange-folder-subscription.h: Added one more argument to function
	create_folder_subscription_dialog() to set the window title.
	* exchange-folder.c (org_gnome_exchange_inbox_subscription),
	(org_gnome_exchange_addressbook_subscription),
	(org_gnome_exchange_calendar_subscription),
	(org_gnome_exchange_tasks_subscription): Added newly.
	* org-gnome-exchange-operations.eplug.in: Changed the activate callback
	function names so that it can show appropriate window title.

	Fixes bug #317019, #317023.
	
2005-09-28  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c (owa_authenticate_user) : Propogate the
	authentication mechanism to the backend.
	* exchange-calendar.c
	* exchange-contacts.c
	* exchange-folder.c : Parse the new account uri.

2005-09-28  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (INCLUDES, LIBADD): Use just CAMEL_EXCHANGE_CFLAGS
	and _LIBS, they now includes all necessary (see top-level
	ChangeLog).
	(LDFLAGS): Use NO_UNDEFINED.

	* org-gnome-exchange-operations.eplug.in: Use SOEXT.

2005-09-22  Praveen Kumar  <kpraveen@novell.com>

	** Fixes bug 312849

	* exchange-calendar.c
	(e_exchange_calendar_pcalendar): Populate the folder hierarchy only 
	if Evolution is online.
	(e_exchange_calendar_check): Disable the "OK" button if Evolution 
	is offline.
	(e_exchange_calendar_commit): Don't do anything if Evolution is 
	offline.

	* exchange-contacts.c
	(e_exchange_contacts_pcontacts): Populate the folder hierarchy only 
	if Evolution is online.
	(e_exchange_contacts_check): Disable the "OK" button if Evolution 
	is offline.
	(e_exchange_contacts_commit): Don't do anything if Evolution is 
	offline.

2005-09-15  Arunprakash  <arunp@novell.com>

	* exchange-account-setup.c
	(org_gnome_exchange_show_folder_size_factory) : Now checks for the
	camel provider type, and does nothing for non exchange providers.
	** Fixes #312886.

2005-09-14  Irene Huang <Irene.Huang@sun.com>

	Fix for #316274

	* exchange-account-setup.c: (btn_chpass_clicked),
	(org_gnome_exchange_settings): Enable change password function only 
	when built with kerberos5.  

2005-08-29  Praveen Kumar  <kpraveen@novell.com>

	** Fixes bug 314762
	
	* exchange-config-listener.c (remove_selected_non_offline_esources) :
	Fixing a nasty infinite loop by swapping an if and while block.
	
2005-08-26  Shakti Sen <shprasad@novell.com>

	* exchange-folder.c (org_gnome_exchange_folder_unsubscribe): Fixes the
	'Label disappears' problem in Tasks, Calendar and Contacts.

	Fixes bug #311959.

2005-08-25  Arunprakash  <arunp@novell.com>

	* exchange-config-listener.c (account_added) : Need to set the
	account's linestatus to online as there is no way to get the
	linestatus in plugin. Also moved the authentication code to
	exchange_operations_get_exchange_account as it is not needed here.
	* exchange-operations.c (exchange_operations_get_exchange_account) :
	Updated to return the account in offline mode.

2005-08-25  Shakti Sen  <shprasad@novell.com>

	* exchange-folder.c (exchange_refresh_folder_tree, exchange_get_folder,
	org_gnome_exchange_folder_inbox_unsubscribe): Added support for
	Unsubscribe to other user's Inbox.

	Fixes bug #313310.

2005-08-24  Shakti Sen <shprasad@novell.com>

	* exchange-permissions-dialog.c (add_clicked): Getting list of mail-ids
	instead of a single mail-id.
	* exchange-user-dialog.[c/h] (e2k_user_dialog_get_user_list): Added
	support for adding multiple IDs.

	Fixes bug #313919.

2005-08-24  Praveen Kumar  <kpraveen@novell.com>

	* plugins/exchange-operations/exchange-account-setup.c:
	* plugins/exchange-operations/exchange-calendar.c:
	* plugins/exchange-operations/exchange-config-listener.c:
	* plugins/exchange-operations/exchange-contacts.c:
	* plugins/exchange-operations/exchange-delegates-user.c:
	* plugins/exchange-operations/exchange-folder-size-display.c:
	* plugins/exchange-operations/exchange-folder.c:
	* plugins/exchange-operations/exchange-operations.c:
	Removed the warning that are generated when compiled with GCC 4.

	* plugins/exchange-operations/exchange-calendar.c:
	Fixed a build break due to the modification of the 'source_type'
	field in the ECalConfigTargetSource class.

2005-08-22  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c (btn_fsize_clicked)
	(set_oof_info) : Use exchange_operations_get_exchange_account.
	* exchange-config-listener.c (exchange_config_listener_authenticate) :
	Fetch the password and connect. Added new
	* exchange-config-listener.h : Similar.
	* exchange-operations.c (exchange_operations_get_exchange_account) :
	Try authenticating if account is not found.

2005-09-12  Praveen Kumar  <kpraveen@novell.com>

	* exchange-config-listener.c
	(remove_selected_non_offline_esources): Added new
	(add_account_esources): Don't add the calendars and tasks in the 
	selected list
	(account_added): If starting in offline mode remove the non-offline
	calendars and tasks from the selected list so that it doesn't
	throws an error

	Fixes the bug 273272.
	
2005-08-11  Praveen Kumar  <kpraveen@novell.com>

	* exchange-config-listener.c
	(exchange_camel_urls_is_equal): Added new
	(exchange_config_listener_modify_esource_group_name): Added new
	(account_changed): Handle most of the account parameter changes
	without restart. This fixes bug 272784 and partially bug 220168
	(account_removed): Removed the message dialog that says that the
	changes will be reflected after restart. This partially fixes the
	bug 220168
	
2005-08-08  Arunprakash <arunp@novell.com>

	* exchange-folder-size-display.c: Included glib/gi18n.h file for
	translation. 
	* exchange-operations.c: Same.

2005-08-05  Arunprakash <arunp@novell.com>

	* exchange-folder-size-display.c (exchange_folder_size_display) :
	Marked strings for translation that were left out.
	* exchange-operations.c (exchange_operations_cta_add_node_to_tree)
	(exchange_operations_cta_select_node_from) : Same.
	
2005-08-03  Shakti Sen <shprasad@blr.novell.com>

	* exchange-folder.c (org_gnome_exchange_folder_ab_unsubscribe)
	(org_gnome_exchange_folder_unsubscribe)
	(org_gnome_exchange_folder_subscription): Added offline/online support
	and removed some warning messages.
	* exchange-operations.c: Added a new function exchange_is_offline().
	* exchange-operations.h: Included a prototype.
	* exchange-config-listener.c
	(exchange_config_listener_get_offline_status): Added newly to get the
	online/offline status.
	* exchange-config-listener.h: Added the prototype for
	exchange_config_listener_get_offline_status().

	Fixes bug #311324.

2005-08-03  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-folder.c : Fixed a build break. A typo.

2005-08-02  Shakti Sen <shprasad@blr.novell.com>

	* Makefile.am: Included 'calendar' in INCLUDES and some .la in
	'liborg_gnome_exchange_operations_la_LIBADD'
	* exchange-folder-permission.c: Added the functionality for
	'File->Permissions' menu-item for Calendar, Tasks and Contacts.
	* exchange-permissions-dialog.c (exchange_permissions_dialog_new):
	Takes care of 'folder' is not-null.

	Fixes bug #231968.
	
2005-08-02  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-calendar.c : Check for NULL target
	* exchange-contacts.c : Similar
	* exchange-folder-permission.c : Similar
	* exchange-folder.c : Similar

2005-08-01  Praveen Kumar  <kpraveen@novell.com>

	* exchnage-config-listener.c 
	(exchange_add_autocompletion_folders) : Added new
	(add_defaults_for_account) : Added a call to the newly added function
	to select GAL for autocompletion by default. Fixes bug 303998
	
2005-07-27  Praveen Kumar <kpraveen@novell.com>

	* exchange-folder.c (org_gnome_exchange_folder_subscription) : Handle
	error conditions if folder subscription fails. Fixes bug 311712
	
2005-07-27  Harry Lu  <harry.lu@sun.com>

	Only show the unsubscribe menu if it is an exchange folder.
	* exchange-folder.c:
	(org_gnome_exchange_check_address_book_subscribed),
	(org_gnome_exchange_check_subscribed):

2005-07-25  Shakti Sen <shprasad@novell.com>

	* org-gnome-exchange-operations.eplug.in: Fixed a small typo.
	The file name is org-gnome-exchange-tasks-subscription.xml, not
	org-gnome-exchange-task-subscription.xml.

2005-07-25  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-calendar.c (e_exchange_calendar_pcalendar) : Add the size
	label only if the calendar exists.
	* exchange-contacts.c (e_exchange_contacts_pcontacts) : Add the size
	label only if the addressbook exists.

2005-07-25  Shakti Sen <shprasad@novell.com>

	* Makefile.am: Added EVOLUTION_CALENDAR_CFLAGS and widgets in 'INCLUDES'.
	* org-gnome-exchange-operations.eplug.in: Added the hooks for Calendar,
	Tasks and Contacts.
	* exchange-folder-permission.c: Added new functions to support 
	'File->Permissions' for all the components.
	* org-gnome-folder-permissions.xml: Changed the placeholder from 'Folder'
	to 'File' menu for 'Permissions' menu-item.
	
	Fixes bug #231968 (Partly).

2005-07-25  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c 
	(org_gnome_exchange_show_folder_size_factory): Takes care of displaying
	the folder size for mail folders.
	* exchange-calendar.c (e_exchange_calendar_pcalendar): Now also adds
	the calendar size in the properties page
	* exchange-contacts.c (e_exchange_contacts_pcontacts): Now also adds 
	the addressbook size in the properties page.
	* exchange-folder-size-display.c (exchange_folder_size_get_val) : Fetch
	the folder size of a particular exchange folder.
	* exchange-folder-size-display.h : Similar
	* org-gnome-exchange-operations.eplug.in : Added the hook for the mail
	properties page.

2005-07-25  Arunprakash <arunp@novell.com>

	* exchange-delegates.c (get_folder_security) (add_button_clicked_cb)
	(delegates_apply) : Changed the e_notice calls to e_error_run calls.
	* exchange-folder-permission.c (create_folder_subscription_dialog) :
	Same.
	* exchange-calendar.c (e_exchange_calendar_commit) : Same.
	* exchange-contacts.c (e_exchange_contacts_commit) : Same.
	* exchange-folder-subscription.c (create_folder_subscription_dialog) :
	 Same
	* exchange-permissions-dialog.c (exchange_permissions_dialog_new)
	(dialog_response) (add_clicked): Same.
	* exchange-operations.c (exchange_operations_report_error) : Modified
	to report the quota value to the user.
	* org-gnome-exchange-operations.error.xml : Added few more
	error descriptions needed for the above changes.

2005-07-25  Shakti Sen <shprasad@novell.com>

	* exchange-permissions-dialog.c (add_clicked): Creating the dialog
	and getting the user.

	Fixes bug #311096.

2005-07-20  Shakti Sen <shprasad@novell.com>

	* Makefile.am: Included files org-gnome-exchange-ab-subscription.xml,
	org-gnome-exchange-tasks-subscription.xml and
	org-gnome-exchange-cal-subscription.xml.
	* org-gnome-exchange-ab-subscription.xml: Added newly to add
	"Subscribe to Other User's Contacts' menu-item in 'File' menu for
	address book.
	* org-gnome-exchange-tasks-subscription.xml: Same for 'Tasks'.
	* org-gnome-exchange-cal-subscription.xml: Same for 'Calendar'.

	Fixes bug #310985.

2005-07-22  Praveen Kumar <kpraveen@novell.com>

	* exchange-calendar.c : Handling the rename of calendars. This
	addresses the bug 310433
	* exchange-config-listener.c : Removed the functions
	add_folder_esource and remove_folder_esource
	* exchange-contacts.c : Handling the rename of addressbooks. Also 
	modified the way of Exchange addressbook ESource URI handling to be 
	the same way as calendar ESource URI handling
	* exchange-operations.c (exchange_operations_update_child_esources) :
	Added new to handle the rename of the ESources of all child folders 
	in the case of parent folder being renamed.
	* exchange-operations.h : Added prototype for the new function
	
2005-07-21  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-calendar.c (e_exchange_calendar_get_calendars): Rescan the
	tree before fetching the folder list.
	* exchange-contacts.c (e_exchange_contacts_get_contacts): Similar
	* exchange-config-listener.c (account_added): Dont add the sources here
	now. Its now taken care while the folders are being created in e-d-s.
	* exchange-folder.c (org_gnome_exchange_folder_subscription): Dont add
	the esources here.

2005-07-19  Shakti Sen <shprasad@novell.com>

	* exchange-permissions-dialog.c (display_role, get_widgets):
	Added a label named 'Custom' to show appropriate role in the 'Role:'
	combo box.

	Fixes bug#310837

2005-07-18  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-folder-size-display.c (parent_destroyed) : This is no longer
	needed. gtk_widget_destroy will take care of destroying it. 
	Fixes #310699
	* exchange-account-setup.c (org_gnome_exchange_settings) : Fixed a 
	warning. Alignment cannot be set for a radio button

2005-07-15  Shakti Sen <shprasad@novell.com>

	* exchange-folder-permission.c: Added the functions 
	org_gnome_exchange_calendar_permissions() and
	org_gnome_exchange_addressbook_permissions() to support 
	'Folder Permissions' for 'Calendar', 'Tasks' and 'Contacts' components.
	Also taken care of a bug #310493.
	* org-gnome-exchange-operations.eplug.in: Added the class hooks.

	Fixes bug#310479.
	Fixes bug#310493 as well.

2005-07-18  Praveen Kumar <kpraveen@novell.com>

	* exchange-account-setup.c (btn_chpass_clicked) : Handle the case
	of user clicking "Cancel" button in "Change Password" dialog. Fixes
	bug 310356.
	(org_gnome_exchange_setting) : Removed the duplicate signal handler
	registered for "Change Password" button.
	
2005-07-16  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-ask-password.c : Removed. Is no longer being used

2005-07-15  Shakti Sen <shprasad@novell.com>

	* Makefile.am: Included the e-foreign-folder-dialog.glade file.
	* e-foreign-folder-dialog.glade: Added newly.

	Fixes bug #310369.

2005-07-14  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c :
	* exchange-calendar.c :
	* exchange-folder-size-display.c :
	* exchange-permissions-dialog.c : Fixed some compile time warnings

2005-07-13  Shakti Sen <shprasad@novell.com>

	* exchange-operations.c: Checked for if the exchange account
	exist/configured.
	* exchange-folder-permission.c: Replaced all the occurences of function
	exchange_config_listener_get_accounts() with
	exchange_operations_get_exchange_account() and returns if it doesn't 
	exist. Also took care to avoid some compile time warnings.
	* exchange-folder.c: Same. Also took care to avoid some compile time
	warnings.
	* exchange-folder-subscription.c: Included 
	exchange-folder-subscription.h file to avoid compilation warning.

	Fixes bug #310233.

2005-07-13  Praveen Kumar <kpraveen@novell.com>

	* org-gnome-exchange-operations.eplug.in : Modified the eplug file to 
	add the "commit" code for folder hierarchy plugins for calendar and 
	contacts
	
2005-07-11  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-operations.c (exchange_operations_report_error) : Check that
	the result is not a success and only then print the error
	* exchange-account-setup.c (btn_chpass_clicked) : Call the error 
	reporting routine only if there is a failure.
	* exchange-config-listener.c (account_added) : Similar

2005-07-11  Sarfraaz Ahmed <asarfraaz@novell.com>

	Patch submitted by ArunPrakash <arunp@novell.com>
	* exchange-operations.c (exchange_operations_report_error) : Newly 
	added, to report errors using e_error_run. Also a list of error-ids is 
	added.
	* exchange-config-listener.c (account_added) (account_removed) :
	Modified the usage of e_notice to e_error_run. Also the error from
	exchange_account_connect is reported using 
	exchange_operations_report_error.
	* exchange-account-setup.c (btn_chpass_clicked) 
	(org_gnome_exchange_settings) (print_error) (set_oof_info): Changed to 
	use exchange_operations_report_error and e_error_run functions.
	* org-gnome-exchange-operations.error.xml : Newly added, defines
	the list of error messages used in the plugin.
	* Makefile.am : Modified for org-gnome-exchange-operations.error.xml

2005-07-11  Shakti Sen <shprasad@novell.com>

	* Makefile.am: Included files exchange-folder-subscription.c,
	exchange-folder-subscription.h, exchange-folder.c and 
	org-gnome-folder-subscription.xml 
	* exchange-folder.c: Renamed all the function names starting with
	org_gnome_* to org_gnome_exchnage* to resolve name space collision.
	* org-gnome-exchange-operations.eplug.in: Added the hook class for
	'Subscribe/Unsubscribe Folder'.

2005-07-08  Praveen Kumar <kpraveen@novell.com>

	* Makefile.am : Added entries for the files providing the delegation
	assistant feature
	* exchange-user-dialog.c : Added new 
	* exchange-user-dialog.h : Added new
	* exchange-account-setup.c (btn_dass_clicked) : Enabled the code for
	for invoking the delegation assistant window
	* exchange-delegates-user.c : Modified to include the header files 
	from include path instead of the local directory
	* exchange-permissions-dialog.c : Modified an occurence to include
	the file exchange-user-dialog.c instead of e2k-folder-dialog.c

2005-07-08  Shakti Sen <shprasad@novell.com>

	* Makefile.am: Included files exchange-permissions-dialog.c,
	  exchange-permissions-dialog.h, exchange-folder-permission.c,
	  org-gnome-folder-permissions.xml & exchange-permissions-dialog.glade
	* exchange-folder-permission.c: Renamed the function name 
	  org_gnome_menu_folder_permissions to 
	  org_gnome_exchnage_menu_folder_permissions
	* org-gnome-exchange-operations.eplug.in: Added the hook class for 
	  Folder Permissions.

2005-07-08  Shakti Sen <shprasad@novell.com>

	* exchange-folder-permission.c: Added new file for Folder Permissions.
	* exchange-permissions-dialog.c: Added new file for Folder Permissions.
	* exchange-permissions-dialog.h: Added new file for Folder Permissions.
	* exchange-permissions-dialog.glade: Added newly for Folder Permissions 
	  support.
	* org-gnome-folder-permissions.xml: Added new file for Folder 
	  Permissions support.
	* exchange-folder-subscription.c: Added new file for Folder 
	  Subscribe/Unsubcribe support.
	* exchange-folder-subscription.h: Added new file for Folder 
	  Subscribe/Unsubcribe support.
	* exchange-folder.c: Added new file for Folder Subscribe/Unsubcribe
	  support.
	* org-gnome-folder-subscription.xml:  Added new file for Folder 
	  Subscribe/Unsubcribe support.

2005-07-07  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c : Include exchange-folder-size-display.h
	* exchange-folder-size-display.c : Similar

2005-07-07  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c (btn_fsize_clicked) : Implemented new to
	invoke the folder size table.
	(org_gnome_exchange_settings) : Minor re-ordering
	* exchange-folder-size-display.c : Newly added to handle the UI code
	for folder size display
	* exchange-folder-size-display.h : Similar
	* exchange-folder-size.[ch] : Removed
	* Makefile.am : Include exchange-folder-size-display.[ch]

2005-07-05  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-config-listener.c (add_new_sources) : Newly added. This adds
	the esources for all the folders only if the esource doesnt already
	exist.
	(account_added) : Invoke add_new_sources after connect.

2005-07-01  Praveen Kumar <kpraveen@novell.com>

	* Makefile.am : Added new file entries for calendar , contacts
	  and change-password
	* exchange-account-setup.c (btn_chpass_clicked) : enabled the code
	* exchange-operations.c (exchange_operations_cta_add_node_to_tree) : 
	  This now stores the relative uri of the node to the model
	 (exchange_operations_cta_select_node_from_tree) : Added new. This 
	 selects the node for a given relative uri.
	* exchange-operations.h : Similar
	* org-gnome-exchange-operations.eplug.in : Added commit hook action
	  for calendar and contacts
	* exchange-change-password.c : Added new
	* exchange-calendar.c : Added new
	* exchange-contacts.c : Added new

2005-07-01  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c(print_error) : Added new. This prints the
	validation error string.
	(owa_authenticate_user) : Fetch the error code from validate and handle
	the printing of error strings in the plugin.
	* exchange-config-listener.c (account_added) : For now add the sources 
	before connect to avoid multiple esources. Should be fixed more 
	elegantly.

2005-06-27  Sarfraaz Ahmed <asarfraaz@novell.com>
	
	* Makefile.am : Added the header files as part of SOURCES so that they
	get disted as well.

2005-06-22  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c : We no longer should be declaring the
	global_config_listener as a static variable here. Also, added some
	NULL checks to avoid crashes.

2005-06-15  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (org_gnome_exchange_settings): Trying to 
	get the exchange account, after checking the account selected in 
	an exchange account or not. It fixes a crash, when trying to edit an
	non-exchange account, where e-d-s and evolution are built with exchange
	support, but exchange account is not configured.

2005-06-14  Sarfaaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c : Fixed some warnings
	* exchange-config-listener.c : Similar

2005-06-12  Sarfraaz Ahmed <asarfraaz@novell.com>

	* Initial commit to rename Exchange-account-setup as Exchange 
	Operations.

2005-06-10  Sarfraaz Ahmed <asarfraaz@novell.com>

	* exchange-account-setup.c (e_plugin_lib_enable)
	(free_exchange_listener)(e_plugin_lib_enable) : Added new to 
	initialise the config listener.
	(update_state) : Now updates the state directly from the server and not
	from the file as earlier.
	(owa_authenticate_user) : Authenticates and validates directly from
	the server instead of using the camel APIs as earlier.
	(set_oof_info) : Sets the state directly on the server
	* Makefile.am : Use CAMEL_EXCHANGE CFLAGS and LIBS

2005-05-21  Sarfraaz Ahmed <asarfraaz@novell.com>

	Added a bunch of files to create exchange plugins for UI changes
	* exchange-change-password.[ch]/.glade
	* exchange-delegates.[ch]/.glade
	* exchange-delegate-user.[ch]
	* exchange-folder-size.[ch]
	* exchange-folder-tree.glade

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* exchange-account-setup.c: moved e-error to e-util

2005-03-18  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (org_gnome_exchange_owa_url): When the 
	Exchange account doesn't contain OWA url parameter, setting the OWA 
	url value in the receive page and saving it.
	(construct_owa_url): Forming OWA url, from the existing parameters for
	hostname, ssl, OWA path and mailbox name.
	see #73627

2005-03-17  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (exchange_authtype_changed): Setting the 
	authentication mechanism to both transport and source urls.

2005-03-05  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: Added the commit function
	to save OOF data. This got missed in the previous commit. Also removed 
	duplicate accountWizard definition.

2005-02-28  JP Rosevear  <jpr@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: add account wizard item

2005-02-27  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (org_gnome_exchange_settings): Storing the 
	oof data enterted by user to a file, displaying the existing data on
	this page.
	(toggled_state): Signal hander for radiobutton, that sets the oof state.
	(update_state): Signal handler that reads the oof message entered. 
	(org_gnome_exchange_commit): Stores the oof data and does cleanup.
	(store_oof_info): Checks for the oof information file, writes the 
	oof state and message to the file. 
	(destroy_oof_data): Frees OOFData. 
	
2005-02-26  Sushma Rai  <rsushma@novell.com>

        * exchange-account-setup.c (org_gnome_exchange_check_options):
        Returning FALSE on NULL host name or set to "" for receive page, 
	so that one can proceed with the account creation only after 
	hostname is retrived and set by validate().

2005-02-24  Björn Torkelsson  <torkel@acc.umu.se>

	* org-gnome-exchange-account-setup.eplug.in: Added author and
	fixed description.
	
2005-02-21  Not Zed  <NotZed@Ximian.com>

	* exchange-account-setup.c (org_gnome_exchange_owa_url): if the
	host is null in the url, set it to "", so it has a non-null value.

2005-02-07  Sushma Rai  <rsushma@novell.com>
	
	* org-gnome-exchange-account-setup.eplug.in: Added plugin for adding 
	auth type section to editor.

	* exchange-account-setup.c (org_gnome_exchange_auth_section): Adding
	and handling authentication type for exchange account. 

2005-01-28  Not Zed  <NotZed@Ximian.com>

	** related to bug #71520.

	* exchange-account-setup.c: All but re-written.
	  Fixed the license of the file.
	  Fixed a translation string.
	  Modified return condition check.
	  Fixed problem over writing current account with the old data.
	  Removed duplicated code.
	  Removed the hack for handling NULL hostname, now using 
	  CAMEL_URL_HIDDEN_HOST url flag in the provider.
	  Using E_ACCOUNT_SOURCE_SAVE_PASSWD for remember password.
	  Removed the way owa url entry was added to table in config section,
	  Now econfig supports tables. 

	* exchange-ask-password.c: removed, functionality moved to
	exchange-account-setup.c.

2005-01-25  Sushma Rai  <rsushma@novell.com>

	* exchange-account-setup.c (create_page): Fixed empty
	string being marked for translation problem. #71644

2005-01-23  Sushma Rai  <rsushma@novell.com>
	
	* org-gnome-exchange-account-setup.eplug.in: Added plugins 
	for handling hiding auth type section in druid.

	* exchange-account-setup.c (add_owa_entry_to_editor): Changed the 
	button label to "Authenticate" from OK

	* exchange-ask-password.c (add_owa_entry): Changed the button label
	to Authenticate.
	(org_gnome_exchange_handle_auth): Hiding Auth section in receive page.
	(org_gnome_exchange_handle_send_auth_option): Hiding the Auth section
	in send page

2005-01-22  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: Added 
	org_gnome_exchange_check_options plugin.

	* exchange-ask-password.c (org_gnome_exchange_check_options): 
	Reads OWA URL value and sets use_ssl and owa_url values for source 
	account url.

	* exchange-account-setup.c (org_gnome_exchange_set_url)
	(add_owa_entry_to_editor): Reading owa url value from gconf and setting
	owa url value in the account editor. Fixes #71378 

2005-01-19  Sushma Rai  <rsushma@novell.com>

	* exchange-ask-password.c (validate_exchange_user): Fix for remembering
	password if user has selected that option, while creating the account. 

2005-01-18  Sushma Rai  <rsushma@novell.com>

	* exchange-ask-password.c (validate_exchange_user): Reading the return
	value of user validation function. Fixes #71385

2005-01-18  Sushma Rai  <rsushma@novell.com>

	* exchange-ask-password.c (validate_exchange_user): Filling up
	user name so that page check doesn't fail. Fixes #71384 

2005-01-18  Sushma Rai  <rsushma@novell.com>

	* exchange-ask-password.c (org_gnome_exchange_read_url):
	Setting dummy host name, which will be reset to proper
	hostname once the user is authenticated.

2005-01-18  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: Moved two account
	editor plugins unser same hook class. 

	* exchange-ask-password.c: Reorganized the code. 
	Used accessor functions to read and set EAccount values. 
	Removed editor specific factory function add_owa_entry_to_editor()
	from here.
	
	* exchange-account-setup.c: Reorganized the code.
	Moved add_owa_entry_to_editor() and it's sub functions into this file.
	(org_gnome_exchange_account_setup): Reading source url and transport
	url values stored in gconf and filling up the EAccount structure.
	This fixes the problem of page check failure, as improper source url 
	and transport url values, as we don't read host name in the editor.
	(org_gnome_exchange_set_url): Similar.
	
2005-01-17  Sushma Rai  <rsushma@novell.com>

	* Makefile.am: Linking to camel libs. Fixes plugin loading problem 
	due to undefined camel symbol, during evolution startup. 

2005-01-13  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: Combined
	all the plugins into one. 

2005-01-12  Sushma Rai  <rsushma@novell.com>

	* exchange-ask-password.c: (validate_exchange_user):
	Added one more error condition check.

2005-01-12  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: Factory
	method to add owa url entry to account editor. 

	* exchange-ask-password.c: (org_gnome_exchange_set_url)
	(add_owa_entry_to_editor): Adds owa url entry to the 
	account editor for Exchange account.
	(validate_exchange_user): Using the CamelProvider private
	function defined by Exchange camel provider.
 
2005-01-11  Sushma Rai  <rsushma@novell.com>

	* org-gnome-exchange-account-setup.eplug.in: Removed page check plugin

	* exchange-ask-password.c: Added a button to prompt for password
	instead of listening on page next signal

2005-01-11  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: fix LDFLAGS variable name.

2005-01-10  Sushma Rai <rsushma@novell.com>

	* exchange-ask-password.c: (validate_exchange_user):
	Corrected argument order.

2005-01-10  Sushma Rai <rsushma@novell.com>
	
	* org-gnome-exchange-account-setup.eplug.in: Added plugin to read
	OWA url entry to the account set up druid.

	* exchange-ask-password.c: Create a entry for OWA URL and reads the
	URL value.

2005-01-09  Sushma Rai <rsushma@novell.com>
	
	* exchange-ask-password.c: Pops up password dialog and validates
	user credentials once owa url and user name are entered.

	* org-gnome-exchange-account-setup.eplug.in: Added page check plugin.

2005-01-09  Sushma Rai <rsushma@novell.com>

	* Intial ckeckin, Plugin for Exchange account specific settings
